using System;
using System.Collections.Generic;

namespace takmicenje4
{
    class Program
    {
        static void Main(string[] args)
        {
            string ulaz = Console.ReadLine();
            string rec = Console.ReadLine();
            char[] niz = ulaz.ToCharArray();
            char[] pomoc = ulaz.ToCharArray();
            char[] niz2 = rec.ToCharArray();                                      
            int pom = 0;
            long min = 10000000;
            char po = ' ';
            Array.Sort(niz);
            for(int i = 0; i < niz2.Length; i++)
            {
                pom = 0;
                for (int j = 0; j < niz.Length; j++)
                {
                    if (niz2[i] == niz[j])
                    {
                        pom++;
                    }
                }
                if (pom == 0)
                {
                    pom = 0;
                    break;
                }
                else
                {
                    if (pom < min)
                    {
                        min = pom;
                        po = niz2[i];
                    }
                }
            }
            if (min != 0)
            {
                Console.WriteLine(min);
                for (int k = 0; k < pomoc.Length; k++)
                {
                    if (pomoc[k] == po)
                    {
                        Console.Write("*");
                    }
                    else
                    {
                        Console.Write(pomoc[k]);
                    }
                }
            }
        }
    }
}